From 07e022cb49c16abf0de24ba25e1b5c20dec2c1ae Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Thu, 23 Dec 2021 15:23:20 +0000
Subject: [PATCH v1] Be clear about what log_checkpoints emits in the
 documentation

Currently the documentation of the log_checkpoints GUC is vague
and the patch here makes it clear say what statistics it emits in
the server logs.
---
 doc/src/sgml/config.sgml | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index afbb6c35e3..d985caac1d 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -6789,9 +6789,11 @@ local0.*    /var/log/postgresql
       <listitem>
        <para>
         Causes checkpoints and restartpoints to be logged in the server log.
-        Some statistics are included in the log messages, including the number
-        of buffers written and the time spent writing them.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
+        The log messages include checkpoint or restartpoint kind, statistics
+        such as the number of buffers written, relations synced and the time
+        spent writing/syncing those files, the WAL files added, removed and
+        recycled and the estimated distance between checkpoints or restartpoints
+        in bytes. This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line. The default is on.
        </para>
       </listitem>
-- 
2.25.1

